TOC & Recently Viewed

Recently Viewed Topics

Environment Requirements

You must meet the following environment requirements in order to perform the migration. To confirm the migration tool is suited for your needs, review the limitations of the migration tool described in Migrated Data and Post-Migration Action Items.

Machine Requirements

Run the migration tool from a local machine that meets the following requirements:

  • The machine has HTTPS access to Tenable.sc and the Tenable.io cloud.
  • The machine is running version 8 or later of Oracle Java or Open JDK.
  • The Oracle Java or Open JDK executable is accessible from the terminal window where you are running the migration tool.
  • The machine has HTTPS access to an email server to distribute credentials for Tenable.io user accounts.

Tenable.sc Requirements

You can use the migration tool to migrate data from Tenable.scs running Version 5.6.0 or later.

Note: You may experience issues when migrating Tenable.sc deployments licensed to scan more than 5000 IP addresses. Version 2.0.6 of the migration tool is most effective for small-scale Tenable.sc deployments.

Tenable.io Requirements

You can use the migration tool to migrate data to an instance of Tenable.io Vulnerability Management.

You cannot use the migration tool to migrate data to Tenable.io on-prem.

(Optional) Proxy Requirements

The migration tool supports a single proxy without authentication to communicate with both Tenable.sc and Tenable.io.

Copyright © 2019 Tenable, Inc. All rights reserved. Tenable, Tenable.io, Tenable Network Security, Nessus, SecurityCenter, SecurityCenter Continuous View and Log Correlation Engine are registered trademarks of Tenable, Inc.. Tenable.sc, Lumin, Assure, and the Cyber Exposure Company are trademarks of Tenable, Inc. All other products or services are trademarks of their respective owners.